***

title: create
slug: /reference/typescript/rest/fabric/cxml-scripts/create
description: Create a new cXML script resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Create a new cXML script resource.

<EndpointSchemaSnippet endpoint="POST /api/fabric/resources/cxml_scripts" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/fabric/resources/cxml_scripts" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const result = await client.fabric.cxmlScripts.create({
  display_name: "my-script",
  contents: "<Response><Say>Hello</Say></Response>",
});
console.log(`Created: ${result.id}`);
```